#
# spec file for package python-graphviz
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-graphviz
Version:        0.10.1
Release:        13.21
Summary:        Python interface for Graphviz
License:        MIT
Group:          Development/Languages/Python
URL:            http://github.com/xflr6/graphviz
Source:         https://files.pythonhosted.org/packages/source/g/graphviz/graphviz-%{version}.zip
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  graphviz
BuildRequires:  graphviz-gnome
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildRequires:  w3m
BuildRequires:  xdg-utils
Requires:       graphviz
Recommends:     xdg-utils
BuildArch:      noarch
%python_subpackages

%description
This package facilitates the creation and rendering of graph descriptions in
the DOT language of the Graphviz graph drawing software from Python.

It supports creating a graph object, assembling the graph by adding nodes and
edges, and retrieving its DOT source code string, saving the source code to a
file and rendering it with the Graphviz installation.

Using the view option/method, the resulting (PDF, PNG, SVG, etc.) file can be
inspected with its default application. Graphs can also be rendered and
displayed within IPython notebooks.

%prep
%setup -q -n graphviz-%{version}

# Fix wrong-file-end-of-line-encoding
dos2unix CHANGES.txt LICENSE.txt README.rst docs/*.rst

# Remove hardcoded pytest version
sed -i -e '/minversion/d' setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand pytest-%{$python_bin_suffix}

%files %{python_files}
%license LICENSE.txt
%doc CHANGES.txt README.rst
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Wed Nov 14 2018 tchvatal@suse.com
- Update to 0.10.1:
  * python 3.7 support
  * Various fixes
* Sat Jan  6 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.8.2:
  * Add nohtml() to support labels of the form '<...>' (disabling
    their default treatment as HTML strings).
  * Make default utf-8 encoding more visible.
  * Set encoding = locale.getpreferredencoding() when encoding
    argument/property is set to None explicitly (follow stdlib io.open
    behaviour).
* Wed Nov 15 2017 jengelh@inai.de
- Replace imperatives in description.
* Wed Nov 15 2017 mimi.vx@gmail.com
- update to 0.8.1
  * please see long list of changes in
    https://github.com/xflr6/graphviz/blob/d7149d507ea6c345ac20f5d6d7e14bc3f162114c/CHANGES
* Fri Apr 14 2017 toddrme2178@gmail.com
- Initial singlespec version
